Get Trending Hashtag
curl --request GET \
--url https://tiktok-api23.p.rapidapi.com/api/trending/hashtag \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://tiktok-api23.p.rapidapi.com/api/trending/hashtag"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://tiktok-api23.p.rapidapi.com/api/trending/hashtag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pagination": {
"has_more": true,
"page": 1,
"size": 20,
"total_count": 500
},
"list": [
{
"hashtag_id": "7415820094837948446",
"hashtag_name": "tiktokshopholidayhaul",
"country_info": {
"id": "US",
"value": "United States",
"label": "US"
},
"industry_info": {
"id": 22000000000,
"value": "Apparel & Accessories",
"label": "label_22000000000"
},
"is_promoted": false,
"trend": [
{
"time": 1763251200,
"value": 0.21
}
],
"publish_cnt": 1083553,
"video_views": 2049831890,
"rank": 1,
"rank_diff": 0,
"rank_diff_type": 2
}
]
}
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500
}Trending
Get Trending Hashtag
Get Trending Hashtag
GET
/
api
/
trending
/
hashtag
Get Trending Hashtag
Authorizations
Rapid API Key. How can I get Rapid API Key?
Query Parameters
Page
Example:
1
Number of items per page (maximum is 20)
Required range:
x <= 20Example:
20
Period in days:
- 7: Last 7 days
- 30: Last 30 days
- 120: Last 120 days
Available options:
7, 30, 120 Example:
7
Sort by
Example:
"popular"
Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I

